package com.engine.kq.service;

import weaver.hrm.User;

import java.util.Map;

/**
 * 假期规则
 */
public interface KQLeaveRulesService {

    /**
     * 获取右键菜单
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getRightMenu(Map<String, Object> params, User user);

    /**
     * 获取查询条件
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getSearchCondition(Map<String, Object> params, User user);

    /**
     * 获取假期规则列表
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getSearchList(Map<String, Object> params, User user);

    /**
     * 获取新建或编辑的表单
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getLeaveRulesForm(Map<String, Object> params, User user);

    /**
     * 新建
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> addLeaveRules(Map<String, Object> params, User user);

    /**
     * 编辑
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> editLeaveRules(Map<String, Object> params, User user);


    /**
     * 删除
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> deleteLeaveRules(Map<String, Object> params, User user);

    /**
     * 判断名称是否重复
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> isNameRepeat(Map<String, Object> params, User user);

    /**
     * 判断当前选择的请假类型的请假单位是天还是小时
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getUnitName(Map<String, Object> params, User user);
}
